org.apache.fop.pdf

## Class PDFDestination

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.pdf.PDFDestination

All Implemented Interfaces:
  PDFWritable

    public class PDFDestination
    extends PDFObject

class representing a named destination

### Field Summary

### Fields inherited from class org.apache.fop.pdf.PDFObject

`log`

### Constructor Summary

Constructors
Constructor and Description
`PDFDestination(String idRef, Object goToRef)` Create a named destination

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`boolean` `equals(Object obj)` Check if this equals another object.
`Object` `getGoToReference()` Returns the GoToReference from the associated DestinationData object.
`String` `getIDRef()` Returns the RefID from the associated DestinationData object.
`int` `hashCode()`
`int` `output(OutputStream stream)` Write the PDF represention of this object
`void` `setGoToReference(Object goToReference)` Sets the GoToReference in the associated DestinationData object.
`void` `setGoToReference(String goToReference)` Deprecated. use setGoToReference(Object) instead

### Methods inherited from class org.apache.fop.pdf.PDFObject

`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDFDestination

    public PDFDestination(String idRef,
                          Object goToRef)

Create a named destination

Parameters:
  `idRef` - ID Reference for this destination (the name of the destination)
  `goToRef` - Object reference to the GoTo Action

### Method Detail

#### output

    public int output(OutputStream stream)
               throws IOException

Description copied from class: `PDFObject`
Write the PDF represention of this object

Overrides:
  `output` in class `PDFObject`
Parameters:
  `stream` - the stream to write the PDF to
Returns:
  the number of bytes written
Throws:
  `IOException` - if there is an error writing to the stream

#### setGoToReference

    @Deprecated
    public void setGoToReference(String goToReference)

Deprecated. use setGoToReference(Object) instead
Sets the GoToReference in the associated DestinationData object.

Parameters:
  `goToReference` - the reference to set in the associated DestinationData object.

#### setGoToReference

    public void setGoToReference(Object goToReference)

Sets the GoToReference in the associated DestinationData object.

Parameters:
  `goToReference` - the reference to set in the associated DestinationData object.

#### getGoToReference

    public Object getGoToReference()

Returns the GoToReference from the associated DestinationData object.

Returns:
  the GoToReference from the associated DestinationData object.

#### getIDRef

    public String getIDRef()

Returns the RefID from the associated DestinationData object.

Returns:
  the RefID from the associated DestinationData object.

#### equals

    public boolean equals(Object obj)

Check if this equals another object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object to compare
Returns:
  true if this equals other object

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`